## paxtest-0.9.5.tar.gz

=== Makefile ===
#!/usr/bin/make
#
# PaXtest master makefile
# Copyright(c) 2003 by Peter Busser <peter@adamantix.org>
# This file has been released under the GNU Public Licence version 2 or later

all:
	cat targets

adamantix:
	make -f Makefile.Adamantix

redhat-taroon:
	make -f Makefile.RedHat-taroon

gentoo: generic

gentoo-hardened:
	make -f Makefile.Gentoo-hardened

generic:
	make -f Makefile.generic

clean:
	make -f Makefile.Adamantix clean

=== debian/changelog ===
paxtest (0.9.5-1) unstable; urgency=low

  * Fixed the shlibbss and shlibdata tests (pageexec@freemail.hu)
  * Non-executable page tests expose incomplete implementations
    (pageexec@freemail.hu)

 -- Peter Busser <peter@adamantix.org>  Tue, 04 Nov 2003 16:37:26 +0200

paxtest (0.9.4-1) unstable; urgency=low

  * Fixed mprotanon (pageexec@freemail.hu)
  * Fixed rettofunc[12] (pageexec@freemail.hu)
  * Fixed shared library data/bss tests (pageexec@freemail.hu)
  * Introduced return-to-libc detection as proof-of-concept
    (pageexec@freemail.hu)

 -- Peter Busser <peter@adamantix.org>  Tue, 22 Oct 2003 21:00:05 +0200

paxtest (0.9.3-1) unstable; urgency=low

  * Changed e-mail addresses in source files to peter@adamantix.org
  * Added copyright message printing in the run script.
  * Upgraded to chpax v0.5 (pageexec@freemail.hu)
  * Split randheap in two parts, one as ET_EXEC and the other as ET_DYN

 -- Peter Busser <peter@adamantix.org>  Sun, 12 Oct 2003 10:58:52 +0200

paxtest (0.9.0-1) unstable; urgency=low

  * Initial Release.

 -- Peter Busser <peter@trusteddebian.org>  Mon, 19 May 2003 13:44:39 +0200

=== debian/control ===
Source: paxtest
Section: main
Priority: optional
Maintainer: Peter Busser <peter@adamantix.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: paxtest
Architecture: i386
Depends: ${shlibs:Depends}
Description: a-: Test suite for the PaX kernel patch
 PaX is a Linux kernel patch which adds much stricter control on how memory
 is being used by applications. A normal Linux kernel leaves the control to the
 application and does not implement any enforcement. Especially buffer overflow
 attacks benefit from the absense of kernel enforced memory control. PaX tries
 to do its best to enforce this control of memory used by applications, thereby
 making it harder to succesfully exploit buffer overflows.
 .
 Furthermore, it adds several randomisations, which also make it harder for
 buffer overflows to succeed.
 .
 The test programs test all this functionality, but not all PaX functionality
 is covered.
 .
 For more information about PaX, see http://pageexec.virtualave.net/.
